package com.zcloud.entity.alarm;

public class DtoData {
	public int DBAlarmID;// 报警信息ID（唯一）
	public int AlarmID;
	public String ScannerAlarmID;
	public String IntellexAlarmID;
	public String ScannerCustomerNumber;// 分析设备编号
	public String ScannerFeedNumber;// 分析通道号
	public String ScannerIP;// 分析设备IP
	public String VideoSourceSystemID;
	public String VideoSourceChannelID;
	public String AlarmType;// 报警类型
	public String ManagerStartTime;// 服务端收到开始报警的时间
	public String ManagerAlarmTime;// 服务端收到开始报警的时间
	public String ManagerEndTime;// 服务端收到结束报警的时间
	public String VideoSourceAlarmStartTime;
	public String VideoSourceAlarmTime;
	public String VideoSourceAlarmEndTime;
	public String JPBPath;// 报警视频路径
	public String Thumbnail;
	public String ThumbnailRows;
	public String ThumbnailCols;
	public String ThumbnailSize;
	public String ThumbnailPath;// 报警图片路径
	public String ScannerName;// 分析设备名称
	public String spareInt1;
	public String spareInt2;
	public String spareInt3;// 状态
	public String spareStr32_1;// 设备类型
	public String spareStr32_2;
	public String spareStr64_1;// unicode编码的摄像机名称
	//public String spareStr64_2;
	public String ruleName; // 转码后的报警名称
	public String AlarmLevelID;
	public String spareStr64_2;
	public String UserID;
	public String ackTime;
	public String RuleNameStr; // 报警中文名称 ，根据此字段区分告警类型
	public String PTZNumber;// 预置位编号
	public String SpeciesID;
	public String DVUID;
	public int DeviceID;// 相机编号
	public int getDBAlarmID() {
		return DBAlarmID;
	}
	public void setDBAlarmID(int dBAlarmID) {
		DBAlarmID = dBAlarmID;
	}
	public int getAlarmID() {
		return AlarmID;
	}
	public void setAlarmID(int alarmID) {
		AlarmID = alarmID;
	}
	public String getScannerAlarmID() {
		return ScannerAlarmID;
	}
	public void setScannerAlarmID(String scannerAlarmID) {
		ScannerAlarmID = scannerAlarmID;
	}
	public String getIntellexAlarmID() {
		return IntellexAlarmID;
	}
	public void setIntellexAlarmID(String intellexAlarmID) {
		IntellexAlarmID = intellexAlarmID;
	}
	public String getScannerCustomerNumber() {
		return ScannerCustomerNumber;
	}
	public void setScannerCustomerNumber(String scannerCustomerNumber) {
		ScannerCustomerNumber = scannerCustomerNumber;
	}
	public String getScannerFeedNumber() {
		return ScannerFeedNumber;
	}
	public void setScannerFeedNumber(String scannerFeedNumber) {
		ScannerFeedNumber = scannerFeedNumber;
	}
	public String getScannerIP() {
		return ScannerIP;
	}
	public void setScannerIP(String scannerIP) {
		ScannerIP = scannerIP;
	}
	public String getVideoSourceSystemID() {
		return VideoSourceSystemID;
	}
	public void setVideoSourceSystemID(String videoSourceSystemID) {
		VideoSourceSystemID = videoSourceSystemID;
	}
	public String getVideoSourceChannelID() {
		return VideoSourceChannelID;
	}
	public void setVideoSourceChannelID(String videoSourceChannelID) {
		VideoSourceChannelID = videoSourceChannelID;
	}
	public String getAlarmType() {
		return AlarmType;
	}
	public void setAlarmType(String alarmType) {
		AlarmType = alarmType;
	}
	public String getManagerStartTime() {
		return ManagerStartTime;
	}
	public void setManagerStartTime(String managerStartTime) {
		ManagerStartTime = managerStartTime;
	}
	public String getManagerAlarmTime() {
		return ManagerAlarmTime;
	}
	public void setManagerAlarmTime(String managerAlarmTime) {
		ManagerAlarmTime = managerAlarmTime;
	}
	public String getManagerEndTime() {
		return ManagerEndTime;
	}
	public void setManagerEndTime(String managerEndTime) {
		ManagerEndTime = managerEndTime;
	}
	public String getVideoSourceAlarmStartTime() {
		return VideoSourceAlarmStartTime;
	}
	public void setVideoSourceAlarmStartTime(String videoSourceAlarmStartTime) {
		VideoSourceAlarmStartTime = videoSourceAlarmStartTime;
	}
	public String getVideoSourceAlarmTime() {
		return VideoSourceAlarmTime;
	}
	public void setVideoSourceAlarmTime(String videoSourceAlarmTime) {
		VideoSourceAlarmTime = videoSourceAlarmTime;
	}
	public String getVideoSourceAlarmEndTime() {
		return VideoSourceAlarmEndTime;
	}
	public void setVideoSourceAlarmEndTime(String videoSourceAlarmEndTime) {
		VideoSourceAlarmEndTime = videoSourceAlarmEndTime;
	}
	public String getJPBPath() {
		return JPBPath;
	}
	public void setJPBPath(String jPBPath) {
		JPBPath = jPBPath;
	}
	public String getThumbnail() {
		return Thumbnail;
	}
	public void setThumbnail(String thumbnail) {
		Thumbnail = thumbnail;
	}
	public String getThumbnailRows() {
		return ThumbnailRows;
	}
	public void setThumbnailRows(String thumbnailRows) {
		ThumbnailRows = thumbnailRows;
	}
	public String getThumbnailCols() {
		return ThumbnailCols;
	}
	public void setThumbnailCols(String thumbnailCols) {
		ThumbnailCols = thumbnailCols;
	}
	public String getThumbnailSize() {
		return ThumbnailSize;
	}
	public void setThumbnailSize(String thumbnailSize) {
		ThumbnailSize = thumbnailSize;
	}
	public String getThumbnailPath() {
		return ThumbnailPath;
	}
	public void setThumbnailPath(String thumbnailPath) {
		ThumbnailPath = thumbnailPath;
	}
	public String getScannerName() {
		return ScannerName;
	}
	public void setScannerName(String scannerName) {
		ScannerName = scannerName;
	}
	public String getSpareInt1() {
		return spareInt1;
	}
	public void setSpareInt1(String spareInt1) {
		this.spareInt1 = spareInt1;
	}
	public String getSpareInt2() {
		return spareInt2;
	}
	public void setSpareInt2(String spareInt2) {
		this.spareInt2 = spareInt2;
	}
	public String getSpareInt3() {
		return spareInt3;
	}
	public void setSpareInt3(String spareInt3) {
		this.spareInt3 = spareInt3;
	}
	public String getSpareStr32_1() {
		return spareStr32_1;
	}
	public void setSpareStr32_1(String spareStr32_1) {
		this.spareStr32_1 = spareStr32_1;
	}
	public String getSpareStr32_2() {
		return spareStr32_2;
	}
	public void setSpareStr32_2(String spareStr32_2) {
		this.spareStr32_2 = spareStr32_2;
	}
	public String getSpareStr64_1() {
		return spareStr64_1;
	}
	public void setSpareStr64_1(String spareStr64_1) {
		this.spareStr64_1 = spareStr64_1;
	}
	public String getRuleName() {
		return ruleName;
	}
	public void setRuleName(String ruleName) {
		this.ruleName = ruleName;
	}
	public String getAlarmLevelID() {
		return AlarmLevelID;
	}
	public void setAlarmLevelID(String alarmLevelID) {
		AlarmLevelID = alarmLevelID;
	}
	public String getSpareStr64_2() {
		return spareStr64_2;
	}
	public void setSpareStr64_2(String spareStr64_2) {
		this.spareStr64_2 = spareStr64_2;
	}
	public String getUserID() {
		return UserID;
	}
	public void setUserID(String userID) {
		UserID = userID;
	}
	public String getAckTime() {
		return ackTime;
	}
	public void setAckTime(String ackTime) {
		this.ackTime = ackTime;
	}
	public String getRuleNameStr() {
		return RuleNameStr;
	}
	public void setRuleNameStr(String ruleNameStr) {
		RuleNameStr = ruleNameStr;
	}
	public String getPTZNumber() {
		return PTZNumber;
	}
	public void setPTZNumber(String pTZNumber) {
		PTZNumber = pTZNumber;
	}
	public String getSpeciesID() {
		return SpeciesID;
	}
	public void setSpeciesID(String speciesID) {
		SpeciesID = speciesID;
	}
	public String getDVUID() {
		return DVUID;
	}
	public void setDVUID(String dVUID) {
		DVUID = dVUID;
	}
	public int getDeviceID() {
		return DeviceID;
	}
	public void setDeviceID(int deviceID) {
		DeviceID = deviceID;
	}

}
